#/////////////////////////////////////////////////////////////////////////////////
# convertMenu.tcl 1.0
# 添加【批量转换】菜单
#
#/////////////////////////////////////////////////////////////////////////////////


package provide convertMenu 1.0

namespace eval ::convertMenu {

}

# 在 Capture Seesion Log 上打印信息
proc seesionLog {str} {
	DboState_WriteToSessionLog [DboTclHelper_sMakeCString $str]
}

proc ::convertMenu::addPageAccessoryMenu { } {
	# TODO 不能直接调用 AddAccessoryMenu 添加菜单？？？
	# AddAccessoryMenu  <User menu under Accessories>  <SubMenu under user menu> <Tcl callback handler with 2 parameters pPage and pOcc>
	AddAccessoryMenu "Batch Conversion" "Convert Sch To EDIF..." "::convertMenu::OpenPageDsn2Edif"
	AddAccessoryMenu "Batch Conversion" "Convert Schlib To XML..." "::convertMenu::OpenPageOlb2Xml"
}

proc ::convertMenu::addDesignAccessoryMenu { } {
	# AddAccessoryMenu  <User menu under Accessories>  <SubMenu under user menu> <Tcl callback handler with 1 parameter pLib>
	AddAccessoryMenu "Batch Conversion" "convertSchToEdif" "::convertMenu::OpenDesignDsn2Edif"
	AddAccessoryMenu "Batch Conversion" "convertSchlibToXml" "::convertMenu::OpenDesignOlb2Xml"
}

proc ::convertMenu::OpenPageDsn2Edif { pPage pOcc } {
	seesionLog {DSN_Launch}
	convertLaunch::DSN_Launch
}

proc ::convertMenu::OpenPageOlb2Xml { pPage pOcc } {
	seesionLog {OLB_Launch}
	convertLaunch::OLB_Launch
}

proc ::convertMenu::OpenDesignDsn2Edif { pLib } {
	seesionLog {DSN_Launch}
	convertLaunch::DSN_Launch
}

proc ::convertMenu::OpenDesignOlb2Xml { pLib } {
	seesionLog {OLB_Launch}
	convertLaunch::OLB_Launch
}

proc ::convertMenu::capTrue { } {
	return 1
}

# 能不能添加其他类型按钮，只有 page menu 和 design menu 吗
RegisterAction "_cdnCapTclAddPageCustomMenu" "::convertMenu::capTrue" "" "::convertMenu::addPageAccessoryMenu" ""
RegisterAction "_cdnCapTclAddDesignCustomMenu" "::convertMenu::capTrue" "" "::convertMenu::addDesignAccessoryMenu" ""
